com.dlsc.flexgantt.swing.timeline

## Class MinorDateFormat

- java.lang.Object
- - java.text.Format
  - - java.text.DateFormat
    - - java.text.SimpleDateFormat
      - - com.dlsc.flexgantt.swing.timeline.MinorDateFormat

- All Implemented Interfaces:
    Serializable, Cloneable

      public class MinorDateFormat
      extends SimpleDateFormat

  A specialization of the standard `SimpleDateFormat` class used to create different formats for dates when the dateline shows tiny days or tiny months. These tiny representations are using just a single character (M, T, W, ... for days and J, F, M, ... for months) which can not be created by `SimpleDateFormat`.
  Since:
    1.1
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.text.DateFormat

      `DateFormat.Field`

  - ### Field Summary

    - ### Fields inherited from class java.text.DateFormat

      `AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinorDateFormat(String pattern, TimeGranularity granularity)` Constructs a new date formatter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringBuffer` | `format(Date date, StringBuffer toAppendTo, FieldPosition pos)`

    - ### Methods inherited from class java.text.SimpleDateFormat

      `applyLocalizedPattern, applyPattern, clone, equals, formatToCharacterIterator, get2DigitYearStart, getDateFormatSymbols, hashCode, parse, set2DigitYearStart, setDateFormatSymbols, toLocalizedPattern, toPattern`

    - ### Methods inherited from class java.text.DateFormat

      `format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, isLenient, parse, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

    - ### Methods inherited from class java.text.Format

      `format, parseObject`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinorDateFormat

          public MinorDateFormat(String pattern,
                                 TimeGranularity granularity)

      Constructs a new date formatter.
      Parameters:
        `pattern` - the pattern used for the date formatting
        `granularity` - the granularity for which it gets used
      Since:
        1.1

  - ### Method Detail

    - #### format

          public StringBuffer format(Date date,
                                     StringBuffer toAppendTo,
                                     FieldPosition pos)

      Overrides:
        `format` in class `SimpleDateFormat`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.